package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 维保运行时间分数区间配置对象 gxt_score_runtime
 * 
 * @author ygtx
 * @date 2025-11-04
 */
@ApiModel(description = "维保运行时间分数区间配置")
public class GxtRuntimeScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /** 最小小时数 */
    @ApiModelProperty(value = "最小小时数")
    private BigDecimal minHours;

    /** 最大小时数 */
    @ApiModelProperty(value = "最大小时数")
    private BigDecimal maxHours;

    /** 分数区间描述 */
    @ApiModelProperty(value = "分数区间描述")
    private String scoreRange;

    /** 描述 */
    @ApiModelProperty(value = "描述")
    private String description;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMinHours(BigDecimal minHours) 
    {
        this.minHours = minHours;
    }

    public BigDecimal getMinHours() 
    {
        return minHours;
    }
    public void setMaxHours(BigDecimal maxHours) 
    {
        this.maxHours = maxHours;
    }

    public BigDecimal getMaxHours() 
    {
        return maxHours;
    }
    public void setScoreRange(String scoreRange) 
    {
        this.scoreRange = scoreRange;
    }

    public String getScoreRange() 
    {
        return scoreRange;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("minHours", getMinHours())
            .append("maxHours", getMaxHours())
            .append("scoreRange", getScoreRange())
            .append("description", getDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}